igeo.gui

## Class IParameterViewer.IParameterGraphic

- java.lang.Object
- - igeo.gui.IParameterViewer.IParameterGraphic

- Enclosing class:
    IParameterViewer

      public static class IParameterViewer.IParameterGraphic
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.awt.Color` | `bgcolor`
    `java.awt.geom.GeneralPath` | `bgShape`
    `static int` | `bottomBlank`
    `java.awt.Rectangle` | `bounds`
    `static int` | `cornerSizeX`
    `static int` | `cornerSizeY`
    `static java.awt.Font` | `font`
    `int` | `fontHeight`
    `static int` | `fontSize`
    `int` | `fontWidth1`
    `int` | `fontWidth2`
    `static java.awt.Color` | `handleColor`
    `static int` | `handleGap`
    `static int` | `handleHeight`
    `static int` | `handleWidth`
    `int` | `inputNum`
    `static int` | `leftBlank`
    `static java.awt.Color` | `linkColor`
    `java.util.ArrayList<IParameterViewer.IParameterGraphic>` | `linkedParameters`
    `static java.awt.BasicStroke` | `linkStroke`
    `IParameter` | `parameter`
    `static int` | `rightBlank`
    `static boolean` | `showValue`
    `static int` | `topBlank`
    `java.lang.String` | `type`
    `static java.awt.Color` | `typeColor`
    `java.lang.String` | `value`
    `static java.awt.Color` | `valueColor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IParameterGraphic(IParameter p)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addLink(IParameter linked, java.util.ArrayList<IParameterViewer.IParameterGraphic> parameters)`
    `void` | `addLink(IParameterViewer.IParameterGraphic linked)`
    `void` | `drawBGShape(java.awt.Graphics2D g)`
    `java.awt.Point` | `getInputLocation(int i)`
    `static IParameter[]` | `getOperand(IParameter p)`
    `static IParameter[]` | `getOperand2(IParameter p)`
    `java.awt.Point` | `getOutputLocation()`
    `void` | `paint(java.awt.Graphics2D g)`
    `void` | `setLabel(java.lang.String type, java.lang.String value)`
    `void` | `setLocation(int x, int y)`
    `void` | `setParameter(IParameter p)`
    `void` | `setParameter2(IParameter p)`
    `void` | `setSize(java.awt.FontMetrics metrics)`
    `void` | `setSize(int w, int h)`
    `static void` | `setupLink(java.util.ArrayList<IParameterViewer.IParameterGraphic> parameters)`
    `static java.lang.String` | `toString(double x)`
    `static java.lang.String` | `toString(IBool b)`
    `static java.lang.String` | `toString(IDouble v)`
    `static java.lang.String` | `toString(IInteger i)`
    `static java.lang.String` | `toString(IVec v)`
    `static java.lang.String` | `toString(IVec2 v)`
    `static java.lang.String` | `toString(IVec4 v)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### topBlank

          public static int topBlank

    - #### bottomBlank

          public static int bottomBlank

    - #### leftBlank

          public static int leftBlank

    - #### rightBlank

          public static int rightBlank

    - #### handleHeight

          public static int handleHeight

    - #### handleWidth

          public static int handleWidth

    - #### handleGap

          public static int handleGap

    - #### cornerSizeX

          public static int cornerSizeX

    - #### cornerSizeY

          public static int cornerSizeY

    - #### bgcolor

          public static java.awt.Color bgcolor

    - #### typeColor

          public static java.awt.Color typeColor

    - #### valueColor

          public static java.awt.Color valueColor

    - #### handleColor

          public static java.awt.Color handleColor

    - #### linkColor

          public static java.awt.Color linkColor

    - #### linkStroke

          public static java.awt.BasicStroke linkStroke

    - #### fontSize

          public static int fontSize

    - #### font

          public static java.awt.Font font

    - #### showValue

          public static boolean showValue

    - #### type

          public java.lang.String type

    - #### value

          public java.lang.String value

    - #### bounds

          public java.awt.Rectangle bounds

    - #### bgShape

          public java.awt.geom.GeneralPath bgShape

    - #### fontHeight

          public int fontHeight

    - #### fontWidth1

          public int fontWidth1

    - #### fontWidth2

          public int fontWidth2

    - #### inputNum

          public int inputNum

    - #### parameter

          public IParameter parameter

    - #### linkedParameters

          public java.util.ArrayList<IParameterViewer.IParameterGraphic> linkedParameters

  - ### Constructor Detail

    - #### IParameterGraphic

          public IParameterGraphic(IParameter p)

  - ### Method Detail

    - #### addLink

          public void addLink(IParameter linked,
                              java.util.ArrayList<IParameterViewer.IParameterGraphic> parameters)

    - #### addLink

          public void addLink(IParameterViewer.IParameterGraphic linked)

    - #### getInputLocation

          public java.awt.Point getInputLocation(int i)

    - #### getOutputLocation

          public java.awt.Point getOutputLocation()

    - #### paint

          public void paint(java.awt.Graphics2D g)

    - #### setLabel

          public void setLabel(java.lang.String type,
                               java.lang.String value)

    - #### setLocation

          public void setLocation(int x,
                                  int y)

    - #### setSize

          public void setSize(int w,
                              int h)

    - #### setSize

          public void setSize(java.awt.FontMetrics metrics)

    - #### drawBGShape

          public void drawBGShape(java.awt.Graphics2D g)

    - #### setParameter2

          public void setParameter2(IParameter p)

    - #### setParameter

          public void setParameter(IParameter p)

    - #### getOperand2

          public static IParameter[] getOperand2(IParameter p)

    - #### getOperand

          public static IParameter[] getOperand(IParameter p)

    - #### setupLink

          public static void setupLink(java.util.ArrayList<IParameterViewer.IParameterGraphic> parameters)

    - #### toString

          public static java.lang.String toString(IBool b)

    - #### toString

          public static java.lang.String toString(IInteger i)

    - #### toString

          public static java.lang.String toString(double x)

    - #### toString

          public static java.lang.String toString(IDouble v)

    - #### toString

          public static java.lang.String toString(IVec2 v)

    - #### toString

          public static java.lang.String toString(IVec v)

    - #### toString

          public static java.lang.String toString(IVec4 v)